<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class angsuran extends CI_Controller {
 
/*******
     | CRUD barang
     | controller barang view, create, update, delete
     | by g2tech
     ***********/
    public function __construct() {
        parent::__construct();
        $this->load->model('m_angsuran');
        $this->load->helper('form','url');
        $this->load->library('pagination');
    }
//class fungsi awal ketika kita panggil controller barang
    public function index()
    {
        $page=$this->input->get('per_page');
        $data['jumlah_data'] = $this->db->from("angsuran")->get()->num_rows();
        $batas=5; //jlh data yang ditampilkan per halaman
        if(!$page):     //jika page bernilai kosong maka batas akhirna akan di set 0
           $offset = 0;
        else:
           $offset = $page; // jika tidak kosong maka nilai batas akhir nya akan diset nilai page terakhir
        endif;
 
        $config['page_query_string'] = TRUE; //mengaktifkan pengambilan method get pada url default
        $config['base_url'] = site_url().'/angsuran?';   //url yang muncul ketika tombol pada paging diklik
        $config['total_rows'] = $this->m_angsuran->count_angsuran(); // jlh total barang
        $config['per_page'] = $batas; //batas sesuai dengan variabel batas
 
        $config['uri_segment'] = $page; //merupakan posisi pagination dalam url pada kesempatan ini saya menggunakan method get untuk menentukan posisi pada url yaitu per_page
 
        $config['full_tag_open'] = '<ul class="pagination">';
        $config['full_tag_close'] = '</ul>';
        $config['first_link'] = '&laquo; First';
        $config['first_tag_open'] = '<li class="prev page">';
        $config['first_tag_close'] = '</li>';
 
        $config['last_link'] = 'Last &raquo;';
        $config['last_tag_open'] = '<li class="next page">';
        $config['last_tag_close'] = '</li>';
 
        $config['next_link'] = 'Next &rarr;';
        $config['next_tag_open'] = '<li class="next page">';
        $config['next_tag_close'] = '</li>';
 
        $config['prev_link'] = '&larr; Prev';
        $config['prev_tag_open'] = '<li class="prev page">';
        $config['prev_tag_close'] = '</li>';
 
        $config['cur_tag_open'] = '<li class="current"><a href="">';
        $config['cur_tag_close'] = '</a></li>';
 
        $config['num_tag_open'] = '<li class="page">';
        $config['num_tag_close'] = '</li>';

        $this->pagination->initialize($config);
        $data['paging']=$this->pagination->create_links();
        $data['jlhpage']=$page;
 
        $data['title'] = 'Angsuran'; //judul title 
        $data['qangsuran'] = $this->m_angsuran->get_allangsuran($batas,$offset); //model semua barang
 
        $this->load->view('angsuran',$data); //load views vbarang
 
    }
 
    public function form(){
        //ambil variabel URL
        $mau_ke                 = $this->uri->segment(3);
        $idu                    = $this->uri->segment(4);
         
 
        //ambil variabel dari form
        $id                         = addslashes($this->input->post('id'));
        $kd_angsuran                = addslashes($this->input->post('kd_angsuran'));
        $kd_private                 = addslashes($this->input->post('kd_private'));
        $tgl_angsur                 = addslashes($this->input->post('tgl_angsur'));
        $jml_angsur                 = addslashes($this->input->post('jml_angsur'));
        $biaya_angsur               = addslashes($this->input->post('biaya_angsur'));
             
         

//mengarahkan fungsi form sesuai dengan uri segmentnya
        if ($mau_ke == "add") {//jika uri segmentnya add
            $data['kodeunik'] = $this->m_angsuran->buat_kode();
            $data['title'] = 'Tambah Angsuran';
            $data['aksi'] = 'aksi_add';
            $this->load->view('vformangsur',$data);

        } else if ($mau_ke == "edit") {//jika uri segmentnya edit
            $data['qdata']  = $this->m_angsuran->get_angsuran_bykdangsuran($idu);
            $data['title'] = 'Edit Angsuran';
            $data['aksi'] = 'aksi_edit';
            $this->load->view('vformangsur',$data);
        } else if ($mau_ke == "aksi_add") {//jika uri segmentnya aksi_add sebagai fungsi untuk insert

            for ($i=0; $i < $jml_angsur; $i++) {

            $data = array(
                'id'   => $id,
                'kd_angsuran'   => $kd_angsuran,
                'kd_private'  => $kd_private,
                'tgl_angsur' => '',
                'biaya_angsur' => $biaya_angsur,
      );
         
            $this->m_angsuran->get_insert($data); //model insert data barang
            }
            $this->session->set_flashdata("pesan", "<div class=\"alert alert-success\" id=\"alert\"><i class=\"glyphicon glyphicon-ok\"></i> Data Angsuran berhasil di Entry, Klik Angsuran jika ingin membayar angsuran kembali</div>"); //pesan yang tampil setalah berhasil di insert
            redirect('daftar_private');
        } else if ($mau_ke == "aksi_edit") { //jika uri segmentnya aksi_edit sebagai fungsi untuk update
          
          $n=count($this->input->post('modul'));
          for($i=0;$i<$n;$i++){
          if (isset($this->input->post['modul'.$i])){
                $modul = $this->input->post['modul'.$i];
           $this->db->query("UPDATE angsuran SET tgl_angsur='2017-01-03' where id='$modul'");
            //$this->m_angsuran->get_update($modul,$data); //modal update data barang
        }

    }
            $this->session->set_flashdata("pesan", "<div class=\"alert alert-success\" id=\"alert\"><i class=\"glyphicon glyphicon-ok\"></i> Data Angsuran berhasil diupdate</div>"); //pesan yang tampil setelah berhasil di update
            redirect('daftar_private');
        }
 
    }
        public function did_add(){

    $types = $this->input->post('types');
    $data = array(
        'kd_angsuran' => 0,
        'tgl_angsur' => 0,
    );
    foreach ($types as $type) {
        $data[$type] = 1;
    }

    $query = $this->db->insert('angsuran', $data);
    if ($query) {
        return true;
    }
    else {
        return false;
    }
}
        // fungsi detail
    public function detail($id){
        $page=$this->input->get('per_page');
        $data['jumlah_data'] = $this->db->get_where('angsuran', array('kd_private'=>$id))->num_rows();
      
        $batas=5; //jlh data yang ditampilkan per halaman
        if(!$page):     //jika page bernilai kosong maka batas akhirna akan di set 0
           $offset = 0;
        else:
           $offset = $page; // jika tidak kosong maka nilai batas akhir nya akan diset nilai page terakhir
        endif;
 
        $config['page_query_string'] = TRUE; //mengaktifkan pengambilan method get pada url default
        $config['base_url'] = site_url().'/angsuran/detail?';   //url yang muncul ketika tombol pada paging diklik
        $config['total_angsur'] = $this->m_angsuran->count_angsuran_detail($id); // jlh total barang
        $config['per_page'] = $batas; //batas sesuai dengan variabel batas
 
        $config['uri_segment'] = $page; //merupakan posisi pagination dalam url pada kesempatan ini saya menggunakan method get untuk menentukan posisi pada url yaitu per_page
 
        $config['full_tag_open'] = '<ul class="pagination">';
        $config['full_tag_close'] = '</ul>';
        $config['first_link'] = '&laquo; First';
        $config['first_tag_open'] = '<li class="prev page">';
        $config['first_tag_close'] = '</li>';
 
        $config['last_link'] = 'Last &raquo;';
        $config['last_tag_open'] = '<li class="next page">';
        $config['last_tag_close'] = '</li>';
 
        $config['next_link'] = 'Next &rarr;';
        $config['next_tag_open'] = '<li class="next page">';
        $config['next_tag_close'] = '</li>';
 
        $config['prev_link'] = '&larr; Prev';
        $config['prev_tag_open'] = '<li class="prev page">';
        $config['prev_tag_close'] = '</li>';
 
        $config['cur_tag_open'] = '<li class="current"><a href="">';
        $config['cur_tag_close'] = '</a></li>';
 
        $config['num_tag_open'] = '<li class="page">';
        $config['num_tag_close'] = '</li>';

        $this->pagination->initialize($config);
        $data['paging']=$this->pagination->create_links();
        $data['jlhpage']=$page;
        $data['qangsuran'] = $this->m_angsuran->get_angsuran_byid($id); //query model semua barang

        $this->load->view('angsuran',$data);


    }

   public function hapus($gid){ //fungsi hapus barang sesuai dengan id
 
        $this->m_angsuran->del_angsuran($gid);
        $this->session->set_flashdata("pesan", "<div class=\"alert alert-danger\" id=\"alert\"><i class=\"glyphicon glyphicon-ok\"></i> Angsuran Berhasil dihapus , Klik Angsuran jika ingin membayar angsuran kembali</div>");
        redirect('daftar_private');
    }

    public function cari()
    {
        $key= $this->input->get('key'); //method get key
        $page=$this->input->get('per_page');  //method get per_page
        $data['jumlah_data'] = $this->db->from("angsuran")->get()->num_rows();
        $search=array(
        'angsuran.tgl_angsur'=> $key,
            
        ); //array pencarian yang akan dibawa ke model
 
        $batas=5; //jlh data yang ditampilkan per halaman
        if(!$page):     //jika page bernilai kosong maka batas akhirna akan di set 0
           $offset = 0;
        else:
           $offset = $page; // jika tidak kosong maka nilai batas akhir nya akan diset nilai page terakhir
        endif;
 
        $config['page_query_string'] = TRUE; //mengaktifkan pengambilan method get pada url default
        $config['base_url'] = site_url().'/angsuran/?key='.$key;   //url yang muncul ketika tombol pada paging diklik
        $config['total_rows'] = $this->m_angsuran->count_angsuran_search($search); // jlh total barang
        $config['per_page'] = $batas; //batas sesuai dengan variabel batas
 
        $config['uri_segment'] = $page; //merupakan posisi pagination dalam url pada kesempatan ini saya menggunakan method get untuk menentukan posisi pada url yaitu per_page
 
        $config['full_tag_open'] = '<ul class="pagination">';
        $config['full_tag_close'] = '</ul>';
        $config['first_link'] = '&laquo; First';
        $config['first_tag_open'] = '<li class="prev page">';
        $config['first_tag_close'] = '</li>';
 
        $config['last_link'] = 'Last &raquo;';
        $config['last_tag_open'] = '<li class="next page">';
        $config['last_tag_close'] = '</li>';
 
        $config['next_link'] = 'Next &rarr;';
        $config['next_tag_open'] = '<li class="next page">';
        $config['next_tag_close'] = '</li>';
 
        $config['prev_link'] = '&larr; Prev';
        $config['prev_tag_open'] = '<li class="prev page">';
        $config['prev_tag_close'] = '</li>';
 
        $config['cur_tag_open'] = '<li class="current"><a href="">';
        $config['cur_tag_close'] = '</a></li>';
 
        $config['num_tag_open'] = '<li class="page">';
        $config['num_tag_close'] = '</li>';
        
        $this->pagination->initialize($config);
        $data['paging']=$this->pagination->create_links();
        $data['jlhpage']=$page;
 
        $data['title'] = 'CRUD CodeIgniter Studi Pencarian Kasus Barang'; //judul title
        $data['qangsuran'] = $this->m_angsuran->get_allangsuran($batas,$offset,$search); //query model semua barang
 
        $this->load->view('angsuran',$data);
 
    }
}
 
/* End of file barang.php */
/* Location: ./application/controllers/barang.php */