<?php
class M_angsuran extends CI_Model {
 
    var $tabel = 'angsuran'; //variabel tabel
 
    function __construct() {
        parent::__construct();
    }

 function get_allangsuran($batas =null,$offset=null,$key=null) {
    $this->db->select("angsuran.id,angsuran.kd_angsuran,angsuran.kd_private,angsuran.tgl_angsur,angsuran.biaya_angsur,daftar_private.nama_private,daftar_private.kd_private");
    $this->db->from($this->tabel);
    $this->db->join("daftar_private","daftar_private.kd_private=angsuran.kd_private");
   
    if($batas != null){
       $this->db->limit($batas,$offset);
    }
    if ($key != null) {
       $this->db->or_like($key);
    }
    $query = $this->db->get();
 
    //cek apakah ada barang
    if ($query->num_rows() > 0) {
        return $query->result();
    }
}
public function did_add(){

    $types = $this->input->post('types');
    $data = array(
        'kd_angsuran' => 0,
        'tgl_angsur' => 0,
    );
    foreach ($types as $type) {
        $data[$type] = 1;
    }

    $query = $this->db->insert('angsuran', $data);
    if ($query) {
        return true;
    }
    else {
        return false;
    }
}

function get_allangsuran_1($batas=null,$offset=null,$key=null,$id) {
    $this->db->select("angsuran.id,angsuran.kd_angsuran,angsuran.kd_private,angsuran.tgl_angsur,angsuran.biaya_angsur,daftar_private.nama_private,daftar_private.kd_private");
    $this->db->from($this->tabel);
    $this->db->join("daftar_private","daftar_private.kd_private=angsuran.kd_private");
    $this->db->where('angsuran.kd_private', $id);


    if($batas != null){
       $this->db->limit($batas,$offset);
    }
    if ($key != null) {
       $this->db->or_like($key);
    }
    $query = $this->db->get();
 
    //cek apakah ada barang
    if ($query->num_rows() > 0) {
        return $query->result();
    }
}
 
    function get_angsuran_byid($id) {
        $this->db->select("angsuran.id,angsuran.kd_angsuran,angsuran.tgl_angsur,angsuran.kd_private,angsuran.biaya_angsur,daftar_private.nama_private,daftar_private.kd_private");
        $this->db->from($this->tabel);
        $this->db->join("daftar_private","daftar_private.kd_private=angsuran.kd_private");
        $this->db->where('angsuran.kd_private', $id);
 
        $query = $this->db->get();
            return $query->result();
        
            }

  function get_angsuran_bykdangsuran($id) {
        $this->db->from($this->tabel);
        $this->db->where('id', $id);
        $query = $this->db->get();
            return $query->result();
        
            }

    
    function get_insert($data){

       $this->db->insert($this->tabel, $data);
       return TRUE;
    }

      function get_update($id,$data) {
 
        $this->db->where('id', $id);
        $this->db->update($this->tabel, $data);
 
        return TRUE;
    }
    function del_angsuran($id) {
        $this->db->where('id', $id);
        $this->db->delete($this->tabel);
        if ($this->db->affected_rows() == 1) {
 
            return TRUE;
        }
        return FALSE;
    }

function count_angsuran() {
    $query = $this->db->get($this->tabel)->num_rows();
    return $query;
}

function count_angsuran_detail($id) {
    $query = $this->db->get_where('angsuran',array('kd_private'=>$id))->num_rows();
    return $query;
}

function  count_angsuran_search($orlike) {
    $this->db->or_like($orlike);
    $query = $this->db->get($this->tabel);
 
    return $query->num_rows();
}

function buat_kode()   {
      $this->db->select('RIGHT(angsuran.kd_angsuran,4) as kode', FALSE);
      $this->db->order_by('kd_angsuran','DESC');    
      $this->db->limit(1);    
      $query = $this->db->get('angsuran');      //cek dulu apakah ada sudah ada kode di tabel.    
      if($query->num_rows() <> 0){      
       //jika kode ternyata sudah ada.      
       $data = $query->row();      
       $kode = intval($data->kode) + 1;    
      }
      else {      
       //jika kode belum ada      
       $kode = 1;    
      }
      $kodemax = str_pad($kode, 4, "0", STR_PAD_LEFT); // angka 4 menunjukkan jumlah digit angka 0
      $kodejadi = "ANG-".$kodemax;    // hasilnya ODJ-9921-0001 dst.
      return $kodejadi;  
  }

}
?>