<?php
class M_setup_pj extends CI_Model {
 
    var $tabel = 'penanggung_jawab'; //variabel tabel
 
    function __construct() {
        parent::__construct();
    }
 function get_allpj($batas =null,$offset=null,$key=null) {
    $this->db->from($this->tabel);
    if($batas != null){
       $this->db->limit($batas,$offset);
    }
    if ($key != null) {
       $this->db->or_like($key);
    }
    $query = $this->db->get();
 
    //cek apakah ada barang
    if ($query->num_rows() > 0) {
        return $query->result();
    }
}
 
    function get_pj_byid($id) {
        $this->db->from($this->tabel);
        $this->db->where('id', $id);
 
        $query = $this->db->get();
 
        if ($query->num_rows() == 1) {
            return $query->result();
        }
    }
 
    function get_insert($data){
       $this->db->insert($this->tabel, $data);
       return TRUE;
    }
 
    function get_update($id,$data) {
 
        $this->db->where('id', $id);
        $this->db->update($this->tabel, $data);
 
        return TRUE;
    }
    function del_pj($id) {
        $this->db->where('id', $id);
        $this->db->delete($this->tabel);
        if ($this->db->affected_rows() == 1) {
 
            return TRUE;
        }
        return FALSE;
    }

function count_pj() {
    $query = $this->db->get($this->tabel)->num_rows();
    return $query;
}

function  count_pj_search($orlike) {
    $this->db->or_like($orlike);
    $query = $this->db->get($this->tabel);
 
    return $query->num_rows();
}

}
?>