<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class daftar_private extends CI_Controller {
 
/*******
     | CRUD barang
     | controller barang view, create, update, delete
     | by g2tech
     ***********/
    public function __construct() {
        parent::__construct();
        $this->load->model('m_daftar_private');
        $this->load->helper('form','url');
        $this->load->library('pagination');

    }
//class fungsi awal ketika kita panggil controller barang
    public function index()
    {
         // variable $kodeunik merujuk ke file model_user.php pada function buat_kode. paham kan ya? harus paham dong
        $page=$this->input->get('per_page');
        $data['jumlah_data'] = $this->db->from("daftar_private")->get()->num_rows();
        $batas=5; //jlh data yang ditampilkan per halaman
        if(!$page):     //jika page bernilai kosong maka batas akhirna akan di set 0
           $offset = 0;
        else:
           $offset = $page; // jika tidak kosong maka nilai batas akhir nya akan diset nilai page terakhir
        endif;
 
        $config['page_query_string'] = TRUE; //mengaktifkan pengambilan method get pada url default
        $config['base_url'] = site_url().'/daftar_private?';   //url yang muncul ketika tombol pada paging diklik
        $config['total_rows'] = $this->m_daftar_private->count_private(); // jlh total barang
        $config['per_page'] = $batas; //batas sesuai dengan variabel batas
 
        $config['uri_segment'] = $page; //merupakan posisi pagination dalam url pada kesempatan ini saya menggunakan method get untuk menentukan posisi pada url yaitu per_page
 
        $config['full_tag_open'] = '<ul class="pagination">';
        $config['full_tag_close'] = '</ul>';
        $config['first_link'] = '&laquo; First';
        $config['first_tag_open'] = '<li class="prev page">';
        $config['first_tag_close'] = '</li>';
 
        $config['last_link'] = 'Last &raquo;';
        $config['last_tag_open'] = '<li class="next page">';
        $config['last_tag_close'] = '</li>';
 
        $config['next_link'] = 'Next &rarr;';
        $config['next_tag_open'] = '<li class="next page">';
        $config['next_tag_close'] = '</li>';
 
        $config['prev_link'] = '&larr; Prev';
        $config['prev_tag_open'] = '<li class="prev page">';
        $config['prev_tag_close'] = '</li>';
 
        $config['cur_tag_open'] = '<li class="current"><a href="">';
        $config['cur_tag_close'] = '</a></li>';
 
        $config['num_tag_open'] = '<li class="page">';
        $config['num_tag_close'] = '</li>';

        $this->pagination->initialize($config);
        $data['paging']=$this->pagination->create_links();
        $data['jlhpage']=$page;
 

        $data['title'] = 'Daftar Private'; //judul title
        
        $data['qprivate'] = $this->m_daftar_private->get_allprivate($batas,$offset); //model semua barang
        
        $this->load->view('daftar_private',$data); //load views vbarang
 
    }
 
    public function form(){
        //ambil variabel URL
        $mau_ke                 = $this->uri->segment(3);
        $idu                    = $this->uri->segment(4);
         
 
        //ambil variabel dari form
        $id                        = addslashes($this->input->post('id'));
        $kd_private                = addslashes($this->input->post('kd_private'));
        $nama_private              = addslashes($this->input->post('nama_private'));
        $alamat                    = addslashes($this->input->post('alamat'));
        $sekolah                   = addslashes($this->input->post('sekolah'));
        $telp                      = addslashes($this->input->post('telp'));
        $email                     = addslashes($this->input->post('email'));
        $nama_ortu                 = addslashes($this->input->post('nama_ortu'));
        $kd_pel                    = addslashes($this->input->post('kd_pel'));
        $kd_peng                   = addslashes($this->input->post('kd_peng'));
        $jml                       = addslashes($this->input->post('jml'));
        $biaya                     = addslashes($this->input->post('biaya'));
        $kd_unit                   = addslashes($this->input->post('kd_unit'));
        $nip                       = addslashes($this->input->post('nip'));
        $nama_peng                 = addslashes($this->input->post('nama_peng'));
        $nama_mp                   = addslashes($this->input->post('nama_mp'));
        $tgl_daftar                = addslashes($this->input->post('tgl_daftar'));
        $jml_angsur                = addslashes($this->input->post('jml_angsur'));

             
 
//mengarahkan fungsi form sesuai dengan uri segmentnya
        if ($mau_ke == "add") {//jika uri segmentnya add
            $data['kodeunik'] = $this->m_daftar_private->buat_kode();
            $data['title'] = 'Tambah Daftar';
            $data['aksi'] = 'aksi_add';
            $this->load->view('vformprivate',$data);

        } else if ($mau_ke == "edit") {//jika uri segmentnya edit
            $data['qdata']  = $this->m_daftar_private->get_private_byid($idu);
            $data['title'] = 'Edit Daftar Private';
            $data['aksi'] = 'aksi_edit';
            $this->load->view('vformprivate',$data);
        } else if ($mau_ke == "aksi_add") {//jika uri segmentnya aksi_add sebagai fungsi untuk insert
            
            $data = array(
                'id'   => $id,
                'kd_private'   => $kd_private,
                'nama_private'  => $nama_private,
                'alamat' => $alamat,
                'sekolah' => $sekolah,
                'telp' => $telp ,
                'email' => $email,
                'nama_ortu' => $nama_ortu,
                'kd_pel' => $kd_pel,
                'kd_peng' => $kd_peng,
                'jml' => $jml,
                'biaya' => $biaya,
                'tgl_daftar' => $tgl_daftar,
                'kd_unit' => $kd_unit,
                'jml_angsur' => $jml_angsur
                               
      );
            $this->m_daftar_private->get_insert($data); //model insert data barang
            $this->session->set_flashdata("pesan", "<div class=\"alert alert-success\" id=\"alert\"><i class=\"glyphicon glyphicon-ok\"></i> Data berhasil di insert</div>"); //pesan yang tampil setalah berhasil di insert
            redirect('daftar_private');
        } else if ($mau_ke == "aksi_edit") { //jika uri segmentnya aksi_edit sebagai fungsi untuk update
          $data = array(
                'id'   => $id,
                'kd_private'   => $kd_private,
                'nama_private'  => $nama_private,
                'alamat' => $alamat,
                'sekolah' => $sekolah,
                'telp' => $telp ,
                'email' => $email,
                'nama_ortu' => $nama_ortu,
                'kd_pel' => $kd_pel,
                'kd_peng ' => $kd_peng,
                'jml' => $jml,
                'biaya' => str_replace(".", "", $biaya),
                'tgl_daftar' => $tgl_daftar,
                'kd_unit' => $kd_unit,
                'jml_angsur' => $jml_angsur
            );
            $this->m_daftar_private->get_update($id,$data); //modal update data barang
            $this->session->set_flashdata("pesan", "<div class=\"alert alert-success\" id=\"alert\"><i class=\"glyphicon glyphicon-ok\"></i> Data berhasil diupdate</div>"); //pesan yang tampil setelah berhasil di update
            redirect('daftar_private');
        }
 
    }
   public function hapus($gid){ //fungsi hapus barang sesuai dengan id
 
        $this->m_daftar_private->del_private($gid);
        $this->session->set_flashdata("pesan", "<div class=\"alert alert-danger\" id=\"alert\"><i class=\"glyphicon glyphicon-ok\"></i> Daftar berhasil dihapus</div>");
        redirect('daftar_private');
    }

    public function cari()
    {
        $key= $this->input->get('key'); //method get key
        $page=$this->input->get('per_page');  //method get per_page
        $data['jumlah_data'] = $this->db->from("daftar_private")->get()->num_rows();
        $search=array(
            'nama_private'=> $key,
            
        ); //array pencarian yang akan dibawa ke model
 
        $batas=5; //jlh data yang ditampilkan per halaman
        if(!$page):     //jika page bernilai kosong maka batas akhirna akan di set 0
           $offset = 0;
        else:
           $offset = $page; // jika tidak kosong maka nilai batas akhir nya akan diset nilai page terakhir
        endif;
 
        $config['page_query_string'] = TRUE; //mengaktifkan pengambilan method get pada url default
        $config['base_url'] = site_url().'/daftar_private/?key='.$key;   //url yang muncul ketika tombol pada paging diklik
        $config['total_rows'] = $this->m_daftar_private->count_private_search($search); // jlh total barang
        $config['per_page'] = $batas; //batas sesuai dengan variabel batas
 
        $config['uri_segment'] = $page; //merupakan posisi pagination dalam url pada kesempatan ini saya menggunakan method get untuk menentukan posisi pada url yaitu per_page
 
        $config['full_tag_open'] = '<ul class="pagination">';
        $config['full_tag_close'] = '</ul>';
        $config['first_link'] = '&laquo; First';
        $config['first_tag_open'] = '<li class="prev page">';
        $config['first_tag_close'] = '</li>';
 
        $config['last_link'] = 'Last &raquo;';
        $config['last_tag_open'] = '<li class="next page">';
        $config['last_tag_close'] = '</li>';
 
        $config['next_link'] = 'Next &rarr;';
        $config['next_tag_open'] = '<li class="next page">';
        $config['next_tag_close'] = '</li>';
 
        $config['prev_link'] = '&larr; Prev';
        $config['prev_tag_open'] = '<li class="prev page">';
        $config['prev_tag_close'] = '</li>';
 
        $config['cur_tag_open'] = '<li class="current"><a href="">';
        $config['cur_tag_close'] = '</a></li>';
 
        $config['num_tag_open'] = '<li class="page">';
        $config['num_tag_close'] = '</li>';
        
        $this->pagination->initialize($config);
        $data['paging']=$this->pagination->create_links();
        $data['jlhpage']=$page;
 
        $data['title'] = 'CRUD CodeIgniter Studi Pencarian Kasus Barang'; //judul title
        $data['qprivate'] = $this->m_daftar_private->get_allprivate($batas,$offset,$search); //query model semua barang
 
        $this->load->view('daftar_private',$data);
 
    }
}
 
/* End of file barang.php */
/* Location: ./application/controllers/barang.php */