<?php
class M_setup_ngajar extends CI_Model {
 
    var $tabel = 'pengajar'; //variabel tabel
 
    function __construct() {
        parent::__construct();
    }
 function get_allngajar($batas =null,$offset=null,$key=null) {
     $this->db->select("pengajar.id,pengajar.nip,pengajar.nama_peng,pengajar.alamat,pengajar.telp,pengajar.email,mata_pelajaran.kd_pel,mata_pelajaran.nama_mp,pengajar.aktif");
    $this->db->from($this->tabel);
    $this->db->join("mata_pelajaran","mata_pelajaran.kd_pel=pengajar.kd_pel");
    if($batas != null){
       $this->db->limit($batas,$offset);
    }
    if ($key != null) {
       $this->db->or_like($key);
    }
    $query = $this->db->get();
 
    //cek apakah ada barang
    if ($query->num_rows() > 0) {
        return $query->result();
    }
}
 
    function get_ngajar_byid($id) {
        $this->db->from($this->tabel);
        $this->db->where('pengajar.id', $id);
 
        $query = $this->db->get();
 
        if ($query->num_rows() == 1) {
            return $query->result();
        }
    }
 
    function get_insert($data){
       $this->db->insert($this->tabel, $data);
       return TRUE;
    }
 
    function get_update($id,$data) {
 
        $this->db->where('pengajar.id', $id);
        $this->db->update($this->tabel, $data);
 
        return TRUE;
    }
    function del_ngajar($id) {
        $this->db->where('pengajar.id', $id);
        $this->db->delete($this->tabel);
        if ($this->db->affected_rows() == 1) {
 
            return TRUE;
        }
        return FALSE;
    }

function count_ngajar() {
    $query = $this->db->get($this->tabel)->num_rows();
    return $query;
}

function  count_ngajar_search($orlike) {
    $this->db->or_like($orlike);
    $query = $this->db->get($this->tabel);
 
    return $query->num_rows();
}

}
?>