<?php
class M_setup_unit extends CI_Model {
 
    var $tabel = 'unit'; //variabel tabel
        
    function __construct() {
        parent::__construct();
    }
 function get_allunit($batas =null,$offset=null,$key=null) {
    $this->db->select("unit.id,unit.kd_unit,unit.nama_unit,penanggung_jawab.kd_pj,penanggung_jawab.nama_pj");
    $this->db->from($this->tabel);
    $this->db->join("penanggung_jawab","penanggung_jawab.kd_pj=unit.kd_pj");

    if($batas != null){
       $this->db->limit($batas,$offset);
    }
    if ($key != null) {
       $this->db->or_like($key);
    }
    $query = $this->db->get();
 
    //cek apakah ada barang
    if ($query->num_rows() > 0) {
        return $query->result();
    }
}
 
    function get_unit_byid($id) {
       $this->db->from($this->tabel);
       $this->db->where('unit.id', $id);
 
        $query = $this->db->get();
 
        if ($query->num_rows() == 1) {
            return $query->result();
        }
    }
 
    function get_insert($data){
       $this->db->insert($this->tabel, $data);
       return TRUE;
    }
 
    function get_update($id,$data) {
        
        $this->db->where('unit.id', $id);
        $this->db->update($this->tabel, $data);
 
        return TRUE;
    }
    function del_unit($id) {
        $this->db->where('unit.id', $id);
        $this->db->delete($this->tabel);
        if ($this->db->affected_rows() == 1) {
 
            return TRUE;
        }
        return FALSE;
    }

function count_unit() {
    $query = $this->db->get($this->tabel)->num_rows();
    return $query;
}

function  count_unit_search($orlike) {  
    $this->db->or_like($orlike);
    $query = $this->db->get($this->tabel);
 
    return $query->num_rows();
}

}
?>